package cz.cvut.and.tutorial06;

import android.content.Context;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;
import android.util.Log;

public class DatabaseHelper extends SQLiteOpenHelper {
	private static final String TAG = "DatabaseHelper";

	private static final int DATABASE_VERSION = 1;
	private static final String DATABASE_NAME = "dictionary.db";

	private static final String CREATE_DICTIONARY_TABLE = "CREATE TABLE "
			+ Contract.Dictionary.TABLE_NAME + " ("
			+ Contract.Dictionary.COLUMN_ID
			+ " INTEGER PRIMARY KEY AUTOINCREMENT,"
			+ Contract.Dictionary.COLUMN_WORD + " TEXT, "
			+ Contract.Dictionary.COLUMN_DEFINITION + " TEXT);";

	DatabaseHelper(Context context) {
		super(context, DATABASE_NAME, null, DATABASE_VERSION);
	}

	@Override
	public void onCreate(SQLiteDatabase db) {
		Log.d(TAG, "Creating database.");
		initDb(db);
	}

	@Override
	public void onUpgrade(SQLiteDatabase db, int oldVersion, int newVersion) {

	}

	public void initDb(SQLiteDatabase db) {
		db.beginTransaction();
		try {
			db.execSQL(CREATE_DICTIONARY_TABLE);
			db.setTransactionSuccessful();
		} finally {
			db.endTransaction();
		}
	}
}
